Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
RPM install, can't create transaction lock on /
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
haneulso
Apprentice
Apprentice


Joined: 31 Aug 2004
Posts: 159

PostPosted: Tue Jan 20, 2009 4:19 pm    Post subject: RPM install, can't create transaction lock on / Reply with quote

When I try to install rpm package, I get an error.
Code:
error: can't create transaction lock on /

Rpm version is 4.4.6-r6 of i686.
What's the meaning of that?
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Tue Jan 20, 2009 6:34 pm    Post subject: Reply with quote

No idea what the error means, but I suggest using the standard way to install a RPM package on Gentoo:

rpm2targz foo.rpm, and then copy stuff to /

To keep things clean, just write a simple ebuild using rpm.eclass
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum